Peplink Portal Docs

Search deals

Search deals under your partner account by different criteria.

Request

GET/deals/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

viewSegmentenumrequired

Define what records to search for.

  • SELF — Returns records created by your own partner account
  • SELF_AND_CHILDREN — Returns records created by your own partner account and your resellers
  • CHILDREN_ONLY — Returns records created by your resellers
querystringoptional

Search query string.

statusesenum arrayoptional

Filter results by statuses.

  • PENDING_APPROVAL — The deal is pending approval.
  • ACTION_REQUIRED — The deal required action.
  • REJECTED — The deal is rejected.
  • APPROVED — The deal is approved.
  • CLOSED_WON — The deal is won and closed.
  • CLOSED_LOST — The deal is lost and closed.
  • LEAD_FROM_PEPLINK — The deal is lead from Peplink.
  • INVALID — The deal is invalid.
  • QUALIFIED — The deal is qualified.
createdDateRangestringoptional

Filter results by created date range. Accepts a comma-separated pair of dates in YYYY-MM-DD format: {startDate},{endDate}. Either value may be omitted to leave that end of the range open.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Ref ID of the deal.

items.accountRefIdlong

Account ref ID of the deal.

items.accountNamestring

Account name of the deal.

items.companystring

End customer's company of the deal.

items.countrystring

End customer's country of the deal.

items.statenullable string

End customer's state of the deal. null if not applicable.

items.firstNamenullable string

End customer's first name of the deal. null if not applicable.

items.lastNamenullable string

End customer's last name of the deal. null if not applicable.

items.titlenullable string

End customer's title of the deal. null if not applicable.

items.emailnullable string

End customer's email of the deal. null if not applicable.

items.websitenullable string

End customer's website of the deal. null if not applicable.

items.phonenullable string

End customer's phone of the deal. null if not applicable.

items.focusedVerticalsstring array

End Customer's focused verticals of the deal.

items.projectnullable string

End customer's project of the deal. null if not applicable.

items.projectDescriptionnullable string

End customer's project description of the deal. null if not applicable.

items.salespersonnullable string

Sales person of the deal. null if not applicable.

items.proposedItemsobject array

End Customer's proposed items of the deal.

Show child attributes
items.proposedItems.skustring

SKU of the proposed item.

items.proposedItems.quantityinteger

Quantity of the proposed item.

items.statusenum

Status of the deal.

  • PENDING_APPROVAL — The deal is pending approval.
  • ACTION_REQUIRED — The deal required action.
  • REJECTED — The deal is rejected.
  • APPROVED — The deal is approved.
  • CLOSED_WON — The deal is won and closed.
  • CLOSED_LOST — The deal is lost and closed.
  • LEAD_FROM_PEPLINK — The deal is lead from Peplink.
  • INVALID — The deal is invalid.
  • QUALIFIED — The deal is qualified.
items.reasonnullable string

Status reason of the deal. null if not applicable.

items.peplinkCommentnullable string

Peplink comment of the deal. null if not applicable.

items.descriptionnullable string

Description of the deal. null if not applicable.

items.timeframeDatenullable datetime string

Timeframe date of the deal. null if not applicable.

items.timeframeRemarknullable string

Timeframe remark of the deal. null if not applicable.

items.rebateExpirationDatenullable datetime string

Rebate expiration date of the deal. null if not applicable.

items.dealExpirationDatenullable datetime string

Deal expiration date of the deal. null if not applicable.

items.createdAtdatetime string

Time of when the deal is created.

items.createdBynullable string

Name of whom created the deal. null if not applicable.

items.createdByEmailnullable string

Email of whom created the deal. null if not applicable.

items.updatedAtnullable datetime string

Time of when the deal is updated. null if not applicable.

items.updatedBynullable string

Name of whom updated the deal. null if not applicable.

items.updatedByEmailnullable string

Email of whom updated the deal. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/deals/search?pageNum=1&pageSize=5&viewSegment=SELF' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "12345",
      "accountRefId": 4567,
      "accountName": "Good Company",
      "company": "Customer Company",
      "country": "U.S.A.",
      "state": "California",
      "firstName": "Martha",
      "lastName": "Nunez",
      "title": "Manager",
      "email": "[email protected]",
      "website": "https://www.customercompany.com",
      "phone": "+1234567890",
      "focusedVerticals": ["Public Safety"],
      "project": "Project A",
      "projectDescription": "Project A is a project related to public safety.",
      "salesperson": "Sales B",
      "proposedItems": [
        {
          "sku": "SVL-321",
          "quantity": 10
        },
        {
          "sku": "TMP-123",
          "quantity": 20
        }
      ],
      "status": "CLOSED_WON",
      "reason": "The deal is won and closed.",
      "peplinkComment": "The status of deal is updated, the deal is won and closed.",
      "description": "This is a deal for Project A.",
      "timeframeDate": "2026-01-01",
      "timeframeRemark": "The deal is expected to be closed by the end of 2025.",
      "rebateExpirationDate": "2026-02-01",
      "dealExpirationDate": "2026-02-01",
      "createdAt": "2025-06-06T01:25:20.000Z",
      "createdBy": "System",
      "createdByEmail": null,
      "updatedAt": "2026-01-01T04:30:36.000Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page